Bug 136628 - [maintainer-update] www/squidguard: add options, fix sample BLs, enable ldap support
[maintainer-update] www/squidguard: add options, fix sample BLs, enable ldap ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 21:10 UTC by Guido Falsi
Modified: 2009-07-20 06:40 UTC (History)
0 users

See Also:


Attachments
file.diff (5.02 KB, patch)
2009-07-09 21:10 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2009-07-09 21:10:01 UTC
Multiple changes:

Added options to choose if sample blacklists should be installed
or not and for LDAP support.

Sample blacklists are now installed in a *.sample hierarchy and
copied other to the working one only if not present. This fixes
a problem with user blacklists being removed/overwritten on port
deinstall and update.

Patched the configure to correctly detect ldap library. This was
requested by many.

Many thanks to Gianni Doe <gdoe6545@yahoo.it> who tested the patch
and reported back ldap support is working properly.

Added file:

files/pkg-deinstall.in
Comment 1 pgollucci freebsd_committer 2009-07-18 05:00:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 dfilter freebsd_committer 2009-07-20 06:31:17 UTC
pgollucci    2009-07-20 05:31:08 UTC

  FreeBSD ports repository

  Modified files:
    www/squidguard       Makefile pkg-plist 
    www/squidguard/files pkg-message.in 
  Added files:
    www/squidguard/files pkg-deinstall.in 
  Log:
  Added options to choose if sample blacklists should be installed
  or not and for LDAP support.
  
  Sample blacklists are now installed in a *.sample hierarchy and
  copied other to the working one only if not present. This fixes
  a problem with user blacklists being removed/overwritten on port
  deinstall and update.
  
  Patched the configure to correctly detect ldap library. This was
  requested by many.
  
  Many thanks to Gianni Doe <gdoe6545@yahoo.it> who tested the patch
  and reported back ldap support is working properly.
  
  PR:             ports/136628
  Submitted by:   Guido Falsi <mad@madpilot.net> (maintainer)
  
  Revision  Changes    Path
  1.24      +31 -5     ports/www/squidguard/Makefile
  1.1       +11 -0     ports/www/squidguard/files/pkg-deinstall.in (new)
  1.2       +3 -0      ports/www/squidguard/files/pkg-message.in
  1.6       +3 -23     ports/www/squidguard/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 pgollucci freebsd_committer 2009-07-20 06:39:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!